[quagga-dev 9071] zserv protocol breakage

David Lamparter equinox at diac24.net
Thu Feb 16 06:00:45 GMT 2012


Hi everyone,


just to state the obvious: Balaji's SAFI patches broke zserv protocol
compatibility by introducing a new field into existing messages.

I don't really have much of a problem with this, but I guess we should
increase the protocol version number. Alternatively, we can fix it
before making the next release.

Out-of-quagga zserv implementations /do/ exist, most notably in olsrd's
old quagga plugin (which should not be used in favour of the new one
which uses libzebra, cf. http://git.nowhere.ws/?p=olsrd-zclient.git )
Funnily enough I know personally know the authors of both plugins :)


-David



More information about the Quagga-dev mailing list